Package org.apache.tomcat.websocket

# Class WsHandshakeResponse

java.lang.Object
org.apache.tomcat.websocket.WsHandshakeResponse

All Implemented Interfaces:
  `HandshakeResponse`

public class WsHandshakeResponse extends Object implements HandshakeResponse
Represents the response to a WebSocket handshake.

- ## Field Summary

  ### Fields inherited from interface jakarta.websocket.HandshakeResponse

  `SEC_WEBSOCKET_ACCEPT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WsHandshakeResponse()`
  `WsHandshakeResponse(Map<String,List<String>> headers)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,List<String>>`
  `getHeaders()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WsHandshakeResponse

    public WsHandshakeResponse()

  - ### WsHandshakeResponse

    public WsHandshakeResponse(Map<String,List<String>> headers)

- ## Method Details

  - ### getHeaders

    public Map<String,List<String>> getHeaders()
    Specified by:
      `getHeaders` in interface `HandshakeResponse`